# Class SettingsService

- Defined in src/services.gen.ts:8

#####
Index

### Constructors

constructor

### Methods

backendUptodate
backendVersion
getLicenseId
getOpenApiYaml

##
Constructors

### constructor

- new SettingsService(): SettingsService

- #### Returns SettingsService

##
Methods

### `Static` backendUptodate

- backendUptodate(): CancelablePromise<string>

- is backend up to date

  #### Returns CancelablePromise<string>

  string is backend up to date

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:26

### `Static` backendVersion

- backendVersion(): CancelablePromise<string>

- get backend version

  #### Returns CancelablePromise<string>

  string git version of backend

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:14

### `Static` getLicenseId

- getLicenseId(): CancelablePromise<string>

- get license id

  #### Returns CancelablePromise<string>

  string get license id (empty if not ee)

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:38

### `Static` getOpenApiYaml

- getOpenApiYaml(): CancelablePromise<string>

- get openapi yaml spec

  #### Returns CancelablePromise<string>

  string openapi yaml file content

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:50